package poo20100908;

public class SerieLimitada {
  public static final int MAXIMO_DE_INSTANCIAS = 3;
  private static int contador = 0;

  /**
   * @return the contador
   */
  public static int getContador() {
    return contador;
  }

  private int numSerie;

  private SerieLimitada() {
    ++contador;
    numSerie = contador;
  }

  public static SerieLimitada criaInstancia() {
    SerieLimitada s = null;
    if (getContador() < MAXIMO_DE_INSTANCIAS)
      s = new SerieLimitada();
    return s;
  }

  @Override
  public String toString() {
    return "Serie Limitada número " + getNumSerie();
  }

  /**
   * @return the numSerie
   */
  public int getNumSerie() {
    return numSerie;
  }
}
