package poo20100903;

public class Cachorro {
  private String nome;
  private String raca;

  public Cachorro(String nome, String raca) {
    this.setNome(nome);
    this.setRaca(raca);
  }

  /**
   * @return the nome
   */
  public String getNome() {
    return nome;
  }

  /**
   * @param nome the nome to set
   */
  public void setNome(String nome) {
    if (nome == null || nome.trim().equals(""))
      throw new IllegalArgumentException
              ("Nome não pode ser nulo ou vazio");
    this.nome = nome;
  }

  /**
   * @return the raca
   */
  public String getRaca() {
    return raca;
  }

  /**
   * @param raca the raca to set
   */
  public void setRaca(String raca) {
    if (raca == null || raca.trim().equals(""))
      throw new IllegalArgumentException
              ("Raça não pode ser nula ou vazio");
    this.raca = raca;
  }

  public void latir() {
    System.out.println("AU AU");
  }
  
  public void dormir() {
    System.out.println("ZZZZZZZZ");
  }
  
  public void comer() {
    System.out.println("nhec");
  }
  
}
