package questao2;

public class Dvd extends Video {
  private int duracao;
  private String extras;

  public Dvd(){
    duracao = 0;
    extras = "";
  }

  public Dvd(String conteudo, int duracao,
          String extras) {
    super(conteudo);
    this.setDuracao(duracao);
    this.setExtras(extras);
  }

  public int getDuracao() {
    return this.duracao;
  }

  public void setDuracao(int duracao) {
    if (duracao > 0 && duracao < 180)
      this.duracao = duracao;
  }

  public String getExtras() {
    return extras;
  }

  public void setExtras(String extras) {
    if (extras != null && !extras.trim().equals(""))
      this.extras = extras;
  }
}
